package de.donmanfred;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;

import com.sticker4w.ContentFileParser;
import com.sticker4w.StickerPack;
import com.sticker4w.StickerPackLoader;

import android.content.ContentProvider;
import android.content.ContentResolver;
import android.content.ContentValues;
import android.content.Context;
import android.content.UriMatcher;
import android.content.res.AssetFileDescriptor;
import android.database.Cursor;
import android.net.Uri;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.util.DisplayMetrics;
import android.view.ViewGroup;
import android.view.WindowManager.LayoutParams;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.Pixel;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.keywords.Common.DesignerCustomView;
import anywheresoftware.b4a.objects.CustomViewWrapper;
import anywheresoftware.b4a.objects.LabelWrapper;
import anywheresoftware.b4a.objects.PanelWrapper;
import anywheresoftware.b4a.objects.ViewWrapper;
import anywheresoftware.b4a.objects.collections.Map;

@ShortName("StickerPackLoader")
//@ActivityObject

//@Permissions(values={"android.permission.INTERNET", "android.permission.ACCESS_NETWORK_STATE"})
//@Events(values={"onSigned(sign As Object)"})
//@DependsOn(values={"android-viewbadger"})
public class StickerPackLoaderwrapper {
	private BA ba;
	private String eventName;
	private StickerPackLoader loader; 
	/**
	 *  <link>...|http://www.b4x.com</link>
	 */
	public static void LIBRARY_DOC() {
	}

	public void Initialize(BA ba, String EventName) {
		this.eventName = EventName.toLowerCase(BA.cul);
		this.ba = ba;
		this.loader = new StickerPackLoader();
	}

	public List<StickerPack> fetchStickerPacks(){
		return StickerPackLoader.fetchStickerPacks(ba.context);
	}
	public byte[] fetchStickerAsset(String identifier, String name, ContentResolver contentResolver) throws IOException{
		return StickerPackLoader.fetchStickerAsset(identifier, name, contentResolver);
	}
	public Uri getStickerAssetUri(String identifier, String stickerName){
		return StickerPackLoader.getStickerAssetUri(identifier, stickerName);
	}
	
}
